pipeline {
    agent any

    stages {
        stage('Build') {
            steps {
                sh 'mvn clean package -DskipTests -pl devops-webapp'
            }
        }
        stage('Unit Tests') {
        	steps {
            	sh 'mvn surefire:test -pl devops-webapp'
            	junit testResults: 'target/surefire-reports/*.xml',
            		allowEmptyResults: true
        	}
        }
        stage('Integration Tests') {
            steps {
            	sh 'mvn failsafe:integration-test -pl devops-webapp'
            	junit testResults: 'target/failsafe-reports/*.xml',
            		allowEmptyResults: true
            }
        }
        stage('Saving target') {
        	steps {
        	    stash includes: 'devops-webapp/target/*',
            		  name: 'devops-webapp.target'
        	}
		}
	}
}